gtkwhiteboard.h File Reference

The PidginWhiteboard frontend object. More...

`#include "pidgin.h"`
`#include "whiteboard.h"`

Go to the source code of this file.

## Data Structures

struct | _PidginWhiteboard
| A PidginWhiteboard. More...

## Macros

#define | FULL_CIRCLE_DEGREES 23040
#define | BRUSH_STATE_UP 0
#define | BRUSH_STATE_DOWN 1
#define | BRUSH_STATE_MOTION 2
#define | PALETTE_NUM_COLORS 7

## Typedefs

typedef struct _PidginWhiteboard | PidginWhiteboard
| A PidginWhiteboard.

## Functions

PidginWhiteboard API
PurpleWhiteboardUiOps * | pidgin_whiteboard_get_ui_ops (void)
| Gets the GtkWhiteboard UI Operations. More...

## Detailed Description

The PidginWhiteboard frontend object.

Definition in file gtkwhiteboard.h.

## Function Documentation

## pidgin_whiteboard_get_ui_ops()

PurpleWhiteboardUiOps* pidgin_whiteboard_get_ui_ops | ( | void |  | ) |

Gets the GtkWhiteboard UI Operations.

Returns
  The GtkWhiteboard UI Operations.